[Overview][Types][Classes][Index] | Reference for unit 'ascii85' (#fcl)

# TASCII85EncoderStream.Write

Write data encoded to the destination stream

## Declaration

Source position: ascii85.pp line 90

`public function TASCII85EncoderStream.Write(`
`const aBuffer;`
`aCount: LongInt`
`):LongInt; override;`

## Arguments

`aBuffer` |  | Untyped buffer with the data encoded in the method
`aCount` |  | Number of bytes from the buffer encoded in the method

## Function result

Returns the number of bytes from the buffer encoded in the method

## Description

Write encodes the aCount bytes of data in aBuffer and writes the encoded data to the destination stream.

Not all data is written immediately to the destination stream. Only after the encoding stream is destroyed will the destination stream contain the full data.

## See also

TASCII85EncoderStream.Destroy |  | Flushed the data to the output stream and cleans up the encoder instance.